<?php include '__header.phtml'; ?>

<?php
if (!$rekening) {
    ?>

    <div class="alert alert-danger" role="alert"><b>Fout!</b> Dit is niet een aan jouw account gekoppelde rekening.</div>
    <?php

} else {
    if ($geslaagd) {
        ?>
        <div class="alert alert-info" role="alert">De transactie is geslaagd</div>
        <?php

    } ?>
    <h2 class="page-header">Transactieoverzicht
        <div class="btn-group  pull-right" role="group">

            <a class="btn btn-default" href="statistieken/<?= $rekening['nr'] ?>" role="button">Statistieken</a>
            <a class="btn btn-default" href="overboeking" role="button">Nieuwe overboeking</a>
        </div>
         </h2>
    <div class="panel panel-default">
        <div class="panel-body">
            <div class="row">
                <div class="col-md-8">
                    IBAN/rekeningnummer<br/>
                    <h4><?php echo $rekening['iban'] ?></h4>
                </div>

                <div class="col-md-2">Rentetarief<br/>
                    <h4><?php echo $rekening['rente']; ?>%</h4>
                </div>
                <div class="col-md-2">Saldo<br/>
                    <h4><b><?php echo money_format('%(#1n', $rekening['saldo']); ?></b></h4>
                </div>
            </div>

        </div>
    </div>
    <table class="table">
        <tr>
            <th>Datum</th>
            <th>Code</th>
            <th>Omschrijving</th>
            <th>Tegenrekening</th>
            <th>AF/BIJ</th>
            <th>Bedrag</th>
        </tr>
        <?php
        foreach ($transacties as $transactie) {
            if (!isset($transactie['omschrijving'])) {
                $transactie['omschrijving'] = "";
            }
            echo "<tr>";
            echo "<td>" . $transactie['datum'] . "</td>";
            echo "<td>" . $transactie['type'] . "</td>\n";
            echo "<td>" . $transactie['omschrijving'] . "</td>\n";

            if ($transactie['van'] === $rekening['iban']) {
                echo "<td>" . $transactie['naar'] . "</td>\n";
                echo "<td>AF</td>\n";
            } else {
                echo "<td>" . $transactie['van'] . "</td>\n";
                echo "<td>BIJ</td>\n";
            }

            echo "<td>" . money_format('%(#1n', $transactie['bedrag']) . "</td>\n";
            echo "</tr>";
        } ?>
    </table>
    <br/>
    <small>ba = betaalautomaat, bg = bankgiro/SEPA opdracht, id = Inforbank Direct Online Betalen (iDeal), sp = spoedbetaling</small>
    <?php

}
?>
<?php include '__footer.phtml'; ?>
